gd_parent_fragment(3)

NAME
gd_parent_fragment — retrieve the parent fragment of a fragment in a Dirfile

SYNOPSIS
#include <getdata.h>

int gd_parent_fragment(DIRFILE *dirfile, int fragment_index);

DESCRIPTION
The function queries a dirfile(5) database specified by and returns the index of the fragment which contains the INCLUDE directive for the fragment indexed by

Since the primary format specification fragment is not included in any other fragment, passing zero for will result in an error.

RETURN VALUE
On success, returns the index of the specified fragment's parent. On error, returns a negative-valued error code. Possible error codes are: The supplied dirfile was invalid. The supplied index was out of range, or was equal to zero.

The error code is also stored in the DIRFILE object and may be retrieved after this function returns by calling A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.5.0.

In GetData-0.7.0, this function was renamed to

In GetData-0.10.0, the error return from this function changed from -1 to a negative-valued error code.

SEE ALSO
dirfile(5),